Status: Rozwiązany Start date: 2022-05-25
Priority: Normalny Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Developer: Występuje w wersji: Sprint 1
Tester: Waga błędu: Mała
Description

Temat:     Fwd: bdim OAI server
Data:     Wed, 10 Nov 2021 15:18:45 +0100
Nadawca:     Prof. Vittorio Coti Zelati <vittoriocotizelati@gmail.com>
Adresat:     Wojtek Sylwestrzak <W.Sylwestrzak@icm.edu.pl>

Dear Wojtek,
last Saturday I did not receive the usual message with the Record Validation for bdim.
Maybe our new OAI server, at the address http://www.bdim.eu/oai, does not work correctly?
The old server at the address http://www.bdim.eu:8080/oaiprovider/ has been switched off.
best regards

Vittorio

History
#1 - 2022-05-25 14:43 - Tomasz Blazejczyk

Wygląda na to że od 2021-11-02 nie pojawiły się żadne nowe rekordy w zbiorze RLIN co nie powinno wywalać dalszego harvestowania:

http://www.bdim.eu/oai?verb=ListRecords&#38;set=RLIN&#38;metadataPrefix=eudml-article2 wyświetla listę gdzie najnowsze rekordy są z
2021-11-02

ale

oprogramowanie repoxa trochę specyficznie zgłasza to jako błąd bo w odpowiedzi oczekuje od serwera komunikatu "empty list" albo "no records
match" a tutaj mamy komunikat "Nothing to list" który jest interpretowany jako błąd systemowy serwera i dalsze harvestowanie w tym przypadku
zatrzymuje się

rozwiązanie doraźne - poprawić po stronie endpointu OAI żeby w przypadku pustej listy zwracał komunikat "no records match" 
rozwiązanie docelowe - poprawić obsługę "noRecordsMatch" w klasie
eu.eudml.transform.task.input.OaiInputTask$SetOaiInputTaskIterator.getNextSet tak aby nie było to zależne od treści komunikatu

2022-05-21 05:00:05,522 ERROR [Thread-21259] eu.eudml.transform.Engine - Error during chain execution
eu.eudml.transform.task.input.OaiInputTask$OaiRuntimeException: Problem listing records from server : http://www.bdim.eu/oai ; format :
eudml-article2 ; set : RLIN ; from : 2021-11-27 ; until : null
    at eu.eudml.transform.task.input.OaiInputTask$SetOaiInputTaskIterator.getNextSet(OaiInputTask.java:93)
~[eudml-transform-core-2.2.0-SNAPSHOT.jar:na]
    at eu.eudml.transform.task.input.OaiInputTask$SetOaiInputTaskIterator.hasNext(OaiInputTask.java:104)
~[eudml-transform-core-2.2.0-SNAPSHOT.jar:na]
    at eu.eudml.transform.Engine.go(Engine.java:98) [eudml-transform-core-2.2.0-SNAPSHOT.jar:na]
    at eu.eudml.transform.Engine.run(Engine.java:59) [eudml-transform-core-2.2.0-SNAPSHOT.jar:na]
    at eu.eudml.transform.monitor.MonitoredEngine.run(MonitoredEngine.java:27) [MonitoredEngine.class:na]
    at java.lang.Thread.run(Thread.java:745) [na:1.7.0_80]
Caused by: se.kb.oai.pmh.ErrorResponseException: Nothing to list
    at se.kb.oai.pmh.ResponseBase.<init>(ResponseBase.java:63) ~[eudml-oai4j-client-2.2.0-SNAPSHOT.jar:na]
    at se.kb.oai.pmh.ListBase.<init>(ListBase.java:28) ~[eudml-oai4j-client-2.2.0-SNAPSHOT.jar:na]
    at se.kb.oai.pmh.RecordsList.<init>(RecordsList.java:42) ~[eudml-oai4j-client-2.2.0-SNAPSHOT.jar:na]
    at se.kb.oai.pmh.OaiPmhServer.listRecords(OaiPmhServer.java:202) ~[eudml-oai4j-client-2.2.0-SNAPSHOT.jar:na]
    at eu.eudml.transform.task.input.OaiInputTask$SetOaiInputTaskIterator.getNextSet(OaiInputTask.java:87)
~[eudml-transform-core-2.2.0-SNAPSHOT.jar:na]
    ... 5 common frames omitted

#2 - 2022-05-25 14:48 - Tomasz Blazejczyk
- Status changed from Nowy to Rozwiązany
